Overview | Package | Class | Tree | Deprecated | Index | Help
| SNMP Stack 4_12
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.co.westhawk.snmp.beans
Class AscendActiveSessionBean

    java.lang.Object
      |
      +--uk.co.westhawk.snmp.beans.SNMPBean
            |
            +--uk.co.westhawk.snmp.beans.SNMPRunBean
                  |
                  +--uk.co.westhawk.snmp.beans.AscendActiveSessionBean

All Implemented Interfaces:
  java.util.Observer, java.lang.Runnable

public class AscendActiveSessionBean
extends SNMPRunBean
implements java.util.Observer

This bean is written for the Ascend Router from Lucent Technologies, Inc The Ascend Enterprise MIBs can be downloaded from ByteSphere

This bean collects information about the active session on an Ascend router.

The properties in the parent classes should be set, before calling the action() method. Via a PropertyChangeEvent the application/applet will be notified.

Version:
  $Revision: 1.10 $ $Date: 2002/10/22 16:34:23 $
Author:
  Birgit Arkesteijn
See Also:
  `SNMPBean.setHost(java.lang.String)`, `SNMPBean.setPort(int)`, `SNMPBean.setCommunityName(java.lang.String)`, `SNMPRunBean.setUpdateInterval(int)`, `SNMPBean.addPropertyChangeListener(java.beans.PropertyChangeListener)`, `SNMPBean.action()`, `GetNextPdu_vec`

Field Summary
`static java.lang.String` | `ssnActiveCallReferenceNum` A unique number identifying this active session.
`static java.lang.String` | `ssnActiveCurrentService` The current service provided to the remote user.
`static java.lang.String` | `ssnActiveUserIPAddress` The IP address of the remote user.
`static java.lang.String` | `ssnActiveUserName` The name of the remote user.
`static java.lang.String` | `ssnActiveUserSubnetMask` The subnet mask of the remote user.

Fields inherited from class uk.co.westhawk.snmp.beans.SNMPRunBean
`interval, me, running`

Fields inherited from class uk.co.westhawk.snmp.beans.SNMPBean
`community, context, host, message, port, propertyChangeListener`

Constructor Summary
`AscendActiveSessionBean()` The default constructor.
`AscendActiveSessionBean(java.lang.String h, int p)` The constructor that will set the host and the port no.

Method Summary
`void` | `action()` This method starts the action of the bean.
`java.lang.String` | `getCurrentService()` Returns the current service provided to the remote user of the Ascend active session.
`java.util.Date` | `getLastUpdateDate()` Returns the date of the moment when this bean was last updated.
`java.lang.String` | `getUserIPAddress()` Returns the IP address of the remote user of the Ascend active session.
`java.lang.String` | `getUserName()` Returns the name of the remote user of the Ascend active session.
`java.lang.String` | `getUserSubnetMask()` Returns the subnet mask of the remote user of the Ascend active session.
`void` | `run()` Implements the running of the bean.
`void` | `update(java.util.Observable obs, java.lang.Object ov)` This method is called when the Pdu response is received.

Methods inherited from class uk.co.westhawk.snmp.beans.SNMPRunBean
`getUpdateInterval, isRunning, setRunning, setUpdateInterval, setUpdateInterval`

Methods inherited from class uk.co.westhawk.snmp.beans.SNMPBean
`addPropertyChangeListener, firePropertyChange, getCommunityName, getHost, getMessage, getPort, isHostPortReachable, removePropertyChangeListener, setCommunityName, setHost, setMessage, setPort, setPort`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ssnActiveCallReferenceNum

    public static final java.lang.String ssnActiveCallReferenceNum

  A unique number identifying this active session. See the session.mib

### ssnActiveUserName

    public static final java.lang.String ssnActiveUserName

  The name of the remote user. See the session.mib

### ssnActiveUserIPAddress

    public static final java.lang.String ssnActiveUserIPAddress

  The IP address of the remote user. See the session.mib

### ssnActiveUserSubnetMask

    public static final java.lang.String ssnActiveUserSubnetMask

  The subnet mask of the remote user. See the session.mib

### ssnActiveCurrentService

    public static final java.lang.String ssnActiveCurrentService

  The current service provided to the remote user. See the session.mib

Constructor Detail

### AscendActiveSessionBean

    public AscendActiveSessionBean()

  The default constructor.

### AscendActiveSessionBean

    public AscendActiveSessionBean(java.lang.String h,
                                   int p)

  The constructor that will set the host and the port no.
  Parameters:
    `h` - the hostname
    `p` - the port no
  See Also:
    `SNMPBean.setHost(java.lang.String)`, `SNMPBean.setPort(int)`

Method Detail

### getLastUpdateDate

    public java.util.Date getLastUpdateDate()

  Returns the date of the moment when this bean was last updated. This might be null when the first time the update was not finished.
  Returns:
    the last update date

### getUserName

    public java.lang.String getUserName()

  Returns the name of the remote user of the Ascend active session.
  Returns:
    the name

### getUserIPAddress

    public java.lang.String getUserIPAddress()

  Returns the IP address of the remote user of the Ascend active session.
  Returns:
    the IP address

### getUserSubnetMask

    public java.lang.String getUserSubnetMask()

  Returns the subnet mask of the remote user of the Ascend active session.
  Returns:
    the subnet mask

### getCurrentService

    public java.lang.String getCurrentService()

  Returns the current service provided to the remote user of the Ascend active session.
  Returns:
    the current service

### action

    public void action()

  This method starts the action of the bean. It will initialises all variables before starting.
  Overrides:
    `action` in class `SNMPBean`

### run

    public void run()

  Implements the running of the bean. It will send the Pdu, if the previous one is not still in flight.
  Overrides:
    `run` in class `SNMPRunBean`
  See Also:
    `SNMPRunBean.isRunning()`

### update

    public void update(java.util.Observable obs,
                       java.lang.Object ov)

  This method is called when the Pdu response is received. When all answers are received it will fire the property change event. The answers are stored in a hashtable, this is done because the speed can only be calculated with the previous answer.
  Specified by:
    `update` in interface `java.util.Observer`
  See Also:
    `SNMPBean.addPropertyChangeListener(java.beans.PropertyChangeListener)`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SNMP Stack 4_12
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD